# Unofficial TypeScript 7 WASM

This package contains **unofficial** WASM distribution of [TypeScript 7 (native port)](https://github.com/microsoft/typescript-go),
built daily using GitHub Actions.

Read more about the TypeScript 7 [here](https://devblogs.microsoft.com/typescript/typescript-native-port/)!

> [!WARNING]
> This is **NOT** an official distribution from the TypeScript official team.

## Usage

Use this version if your operating system or architecture is not supported by the native build, or if you need to run it in a browser.

```bash
npm install tsgo-wasm

npx tsgo-wasm -v
# Version 7.0.0-dev.20250519
```

## License

The TypeScript project and this project both are licensed under the [Apache License 2.0](./LICENSE).
